Bug 1570296 - FFU: post upgrade openstack-nova-consoleauth service is not disabled
Summary: FFU: post upgrade openstack-nova-consoleauth service is not disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: All
OS: All
high
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Marius Cornea
QA Contact: Marius Cornea
URL:
Whiteboard:
: 1570295 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 17:47 UTC by Marius Cornea
Modified: 2018-06-27 13:53 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:52:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1765997 None None None 2018-04-21 17:59:40 UTC
OpenStack gerrit 563669 None stable/queens: MERGED tripleo-heat-templates: Fix openstack-nova-consoleauth service upgrade check (If1e0f43c1962496b68c1c982db86a6dec58e05c5) 2018-04-25 13:36:34 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:53:11 UTC

Description Marius Cornea 2018-04-21 17:47:04 UTC
Description of problem:
FFU: post upgrade openstack-nova-consoleauth service is not disabled:

[root@controller-0 heat-admin]# systemctl status openstack-nova-consoleauth
● openstack-nova-consoleauth.service - OpenStack Nova VNC console auth Server
   Loaded: loaded (/usr/lib/systemd/system/openstack-nova-consoleauth.service; enabled; vendor preset: disabled)
   Active: inactive (dead) since Fri 2018-04-20 23:48:41 UTC; 17h ago
 Main PID: 2192 (code=exited, status=0/SUCCESS)

Apr 20 19:15:42 controller-0 systemd[1]: Starting OpenStack Nova VNC console auth Server...
Apr 20 19:15:57 controller-0 nova-consoleauth[2192]: Option "rpc_backend" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
Apr 20 19:15:57 controller-0 systemd[1]: Started OpenStack Nova VNC console auth Server.
Apr 20 23:48:27 controller-0 systemd[1]: Stopping OpenStack Nova VNC console auth Server...
Apr 20 23:48:41 controller-0 systemd[1]: Stopped OpenStack Nova VNC console auth Server.


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-8.0.2-0.20180416194360.29a5ad5.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy OSP10
2. Upgrade to OSP13 via the fast forward upgrade procedure
3. On controller nodes check openstack-nova-consoleauth service status:
systemctl status openstack-nova-consoleauth

Actual results:
Service is not disabled:
● openstack-nova-consoleauth.service - OpenStack Nova VNC console auth Server
   Loaded: loaded (/usr/lib/systemd/system/openstack-nova-consoleauth.service; enabled; vendor preset: disabled)

Expected results:
Service is disabled:
● openstack-nova-consoleauth.service - OpenStack Nova VNC console auth Server
   Loaded: loaded (/usr/lib/systemd/system/openstack-nova-consoleauth.service; disabled; vendor preset: disabled)


Additional info:

Comment 1 Marius Cornea 2018-04-21 18:33:38 UTC
*** Bug 1570295 has been marked as a duplicate of this bug. ***

Comment 6 Marius Cornea 2018-05-04 20:01:01 UTC
[root@controller-0 heat-admin]# systemctl status openstack-nova-consoleauth
● openstack-nova-consoleauth.service - OpenStack Nova VNC console auth Server
   Loaded: loaded (/usr/lib/systemd/system/openstack-nova-consoleauth.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

May 04 01:32:41 controller-0 systemd[1]: Starting OpenStack Nova VNC console auth Server...
May 04 01:33:07 controller-0 nova-consoleauth[2228]: Option "rpc_backend" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
May 04 01:33:08 controller-0 systemd[1]: Started OpenStack Nova VNC console auth Server.
May 04 15:08:53 controller-0 systemd[1]: Stopping OpenStack Nova VNC console auth Server...
May 04 15:09:07 controller-0 systemd[1]: Stopped OpenStack Nova VNC console auth Server.

Comment 8 errata-xmlrpc 2018-06-27 13:52:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.